Bug 64901 - Breaks USB port
Breaks USB port
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gnome-pilot (Show other bugs)
7.3
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-14 02:30 EDT by Karl schmidt
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-16 17:24:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karl schmidt 2002-05-14 02:30:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
It appears that gnome-pilot won't play nice wth others - pigs/breaks USB port or
perhaps something wrong with usbserial of visor mods? After installing
Gnome-pilot - even uninstalling/full reboot will not cure. 

This could be a problem with one of 4 mods that need to work for visor
sychronising. 

keywords: pi_bind Illegal seek

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install jpilot configure get working with usb visor
2. install gnome-pilot and configure - it failed to follow conduit settings and
would not backup.
3. Uninstall-gnome-pilot 
4- now jpilot fails to work
	

Additional info:

I checked permissions of /dev/ttyUSB1 they did'nt change.

jpilot returns: pi_bind Illegal seek
Check your serial port and settings
exiting with status -10

Running usbview fixes the problem.

my hunch is gnome-pilot dirties up the usb mods in sime way that only gets reset
with usb view.  

Possibly a problem with jpilot -, but seeing that gnome-pilot didn't work, I
would look there first. jpilot.org site is down at this writing.
Comment 1 Jeremy Katz 2002-05-14 11:48:26 EDT
You still had gpilotd running.  gpilotd takes control of the tty device and so
you can't use other programs such as jpilot to access it while gpilotd is
running.  Design decision in how gnome-pilot works
Comment 2 Karl schmidt 2002-05-14 15:37:25 EDT
NO gpilotd was killed
Comment 3 Karl schmidt 2002-05-16 17:24:50 EDT
My definition of a bug includes preventing other programs from working. I don't
think I am alone.
Comment 4 Jeremy Katz 2002-10-08 01:26:44 EDT
gpilotd ends up in your gnome session and will restart as you restart gnome. 
It's a design decision by upstream, and you'll have to convince them to change
it if you want it changed.  It would be impossible to maintain a patch of that
magnitude without completely forking the project.

Note You need to log in before you can comment on or make changes to this bug.